Python API Reference
====================

The HyperStreamDB Python package provides a high-level, Pandas-compatible interface for managing tables, executing hybrid searches, and integrating with data catalogs.

Table
-----

.. autoclass:: hyperstreamdb.Table
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:

Query
-----

.. autoclass:: hyperstreamdb.Query
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:

Session
-------

.. autoclass:: hyperstreamdb.Session
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:

Embedding Registry
------------------

.. automodule:: hyperstreamdb.embeddings
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:
